## org.apache.axis.types
Class UnsignedLong

    java.lang.Object
      java.lang.Number
          org.apache.axis.types.UnsignedLong

All Implemented Interfaces:
  java.lang.Comparable, java.io.Serializable

public class UnsignedLong
extends java.lang.Number
implements java.lang.Comparable

Custom class for supporting primitive XSD data type UnsignedLong

Author:
  Chris Haddad <chaddad@cobia.net>
See Also:
  XML Schema 3.3.21, Serialized Form

Field Summary
`protected java.math.BigInteger` `lValue`

Constructor Summary
`UnsignedLong()`
`UnsignedLong(java.math.BigInteger value)`
`UnsignedLong(double value)`
`UnsignedLong(long lValue)`
`UnsignedLong(java.lang.String stValue)`

Method Summary
`byte` `byteValue()`
`int` `compareTo(java.lang.Object obj)`
`double` `doubleValue()`
`boolean` `equals(java.lang.Object obj)`
`float` `floatValue()`
`int` `hashCode()`
`int` `intValue()`
`static boolean` `isValid(java.math.BigInteger value)`
`long` `longValue()`
`short` `shortValue()`
`java.lang.String` `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### lValue

    protected java.math.BigInteger lValue

Constructor Detail

### UnsignedLong

    public UnsignedLong()

### UnsignedLong

    public UnsignedLong(double value)
                 throws java.lang.NumberFormatException

### UnsignedLong

    public UnsignedLong(java.math.BigInteger value)
                 throws java.lang.NumberFormatException

### UnsignedLong

    public UnsignedLong(long lValue)
                 throws java.lang.NumberFormatException

### UnsignedLong

    public UnsignedLong(java.lang.String stValue)
                 throws java.lang.NumberFormatException

Method Detail

### isValid

    public static boolean isValid(java.math.BigInteger value)

### toString

    public java.lang.String toString()

### hashCode

    public int hashCode()

### equals

    public boolean equals(java.lang.Object obj)

### compareTo

    public int compareTo(java.lang.Object obj)

  Specified by:
    `compareTo` in interface `java.lang.Comparable`

### byteValue

    public byte byteValue()

### shortValue

    public short shortValue()

### intValue

    public int intValue()

### longValue

    public long longValue()

### doubleValue

    public double doubleValue()

### floatValue

    public float floatValue()

Copyright © 2005 Apache Web Services Project. All Rights Reserved.